package com.ruoyi.warehouse.mapper;

import java.util.List;
import com.ruoyi.warehouse.domain.StockCheckRecord;

public interface StockCheckRecordMapper
{
    public List<StockCheckRecord> selectStockCheckRecordList(StockCheckRecord stockCheckRecord);

    public StockCheckRecord selectStockCheckRecordById(Long id);

    public StockCheckRecord selectStockCheckRecordByIdForUpdate(Long id);

    public StockCheckRecord checkCheckNoUnique(String checkNo);

    public int insertStockCheckRecord(StockCheckRecord stockCheckRecord);

    public int updateStockCheckRecord(StockCheckRecord stockCheckRecord);

    public int confirmStockCheckRecord(StockCheckRecord stockCheckRecord);

    public int deleteStockCheckRecordByIds(Long[] ids);
}
